<?php

namespace CPBFeedbackTab;

if (!class_exists('WdmCPBFeedbackTab')) {
    /**
    * Class for the Settings tab on the admin page.
    */
    class WdmCPBFeedbackTab
    {
        /**
        * Adds action for the Settings tab and saving the settings.
        */
        public function __construct()
        {
            add_action('cpb_feedback_tab', array($this,'feedbackTabcallback'));
        }

        

        /**
        * For the Settings tab
        * Enqueues the scripts and styles.
        */
        public function feedbackTabcallback()
        {
            self::enqueueScript();
            ?>
            
            <!-- <iframe src="https://docs.google.com/forms/d/e/1FAIpQLSc2fxSG1RL_dBY7uAUCEoxxB_be4-21wRrdJiEzbtT2M7mjyA/viewform?embedded=true" width="640" height="1293" frameborder="0" marginheight="0" marginwidth="0">Loading...</iframe>
            <iframe src="https://docs.google.com/forms/d/e/1FAIpQLSeLz-9MHyh9IxwHTmUGCogmDIyjQf5Dc6fsVl-2MXtmMSdJHg/viewform?embedded=true" width="100%" height="1000"  frameborder="0" marginheight="0" marginwidth="0">Loading...</iframe> -->
            <!-- <iframe src="https://docs.google.com/forms/d/e/1FAIpQLSc2fxSG1RL_dBY7uAUCEoxxB_be4-21wRrdJiEzbtT2M7mjyA/viewform?embedded=true" width="100%" height="1000"  frameborder="0" marginheight="0" marginwidth="0">Loading...</iframe> -->
                <!-- <script type="text/javascript" src="https://form.jotform.me/jsform/90150937100446"></script> -->
                <!-- <div class="typeform-widget" data-url="https://hardik60.typeform.com/to/jCVIzC" data-transparency="50" style="width: 100%; height: 500px;"></div> <script> (function() { var qs,js,q,s,d=document, gi=d.getElementById, ce=d.createElement, gt=d.getElementsByTagName, id="typef_orm", b="https://embed.typeform.com/"; if(!gi.call(d,id)) { js=ce.call(d,"script"); js.id=id; js.src=b+"embed.js"; q=gt.call(d,"script")[0]; q.parentNode.insertBefore(js,q) } })() </script> <div style="font-family: Sans-Serif;font-size: 12px;color: #999;opacity: 0.5; padding-top: 5px;"> powered by <a href="https://admin.typeform.com/signup?utm_campaign=jCVIzC&utm_source=typeform.com-13249498-Basic&utm_medium=typeform&utm_content=typeform-embedded-poweredbytypeform&utm_term=EN" style="color: #999" target="_blank">Typeform</a> </div> -->
                    <div class="typeform-widget" data-url="https://wisdmlabs584994.typeform.com/to/DETbso" data-transparency="100" data-hide-headers=true data-hide-footer=true style="width: 100%; height: 500px;"></div> <script> (function() { var qs,js,q,s,d=document, gi=d.getElementById, ce=d.createElement, gt=d.getElementsByTagName, id="typef_orm", b="https://embed.typeform.com/"; if(!gi.call(d,id)) { js=ce.call(d,"script"); js.id=id; js.src=b+"embed.js"; q=gt.call(d,"script")[0]; q.parentNode.insertBefore(js,q) } })() </script> <div style="font-family: Sans-Serif;font-size: 12px;color: #999;opacity: 0.5; padding-top: 5px;"> powered by <a href="https://wisdmlabs584994.typeform.com/to/Wnj5b1" style="color: #999" target="_blank">Typeform</a> </div>
            </div>
            <?php
        }

        /**
        * Enqueue the scripts
        */
        private function enqueueScript()
        {
            //Bootstrap
            wp_enqueue_style('cpb_bootstrap_css', plugins_url('assets/css/bootstrap.css', dirname(dirname(__FILE__))), array(), CSP_VERSION);
        }
    }
}
